| API req | https://api.glowmarkt.com/api/v0-1/account |
|---|---|
| Authentication required | Basic Auth |
| Headers |
|
| Example cURL | curl -X GET -H "Content-Type: application/json" -H "Authorization: Basic BASIC_AUTH_KEY” "https://api.glowmarkt.com/api/v0-1/account" |
| Swagger reference | https://api.glowmarkt.com/api-docs/v0-1/usersys/usertypes/#/account/getAccounts |
{
"createdAt": "2018-03-23T10:12:18.454Z",
"updatedAt": "2018-03-23T10:12:18.454Z",
"directoryId": "ac164539-5d7a-4cf9-8478-ca25b6d81ef0",
"applicationId": "c72ef3b8-eeb1-4f64-9abd-96eda813c068",
"userId": "41ad1a43-cdaf-4f48-b48c-1577d2edd65b",
"accountId": "4df0241d-d074-4b30-b0df-bd1dbb94bd28",
"status": "active",
"active": true,
"name": "Tester",
"username": "tester@glowtest.com"
}| API req | GET https://api.glowmarkt.com/api/v0-1/virtualentity |
|---|---|
| Authentication required | Basic Auth |
| Headers |
|
| Example cURL | curl -X GET -H "Content-Type: application/json" -H "Authorization: Basic BASIC_AUTH_KEY” -H "userId: b0f1b774-a586-4f72-9edd-27ead8aa7a8d" “https://api.glowmarkt.com/api/v0-1/virtualentity" |
| Swagger reference | https://api.glowmarkt.com/api-docs/v0-1/vesys/#/Virtual%20Entity/virtualentity_findAll |
[
{
"name": "Smart Home 1",
"veId": "dc9069a7-7695-43fd-8f27-16b1c94213da",
"veTypeId": "cc90b599-2705-4b13-98d4-3306f81169cf",
"ownerId": "f78a3812-d4fc-4b00-99c5-20fd581721a6",
"applicationId": "b0f1b774-a586-4f72-9edd-27ead8aa7a8d",
"updatedAt": "2018-10-26T17:10:02.670Z",
"createdAt": "2018-10-26T17:10:02.670Z",
"resources": [
{
"resourceId": "73f70bcd-3743-4009-a2c4-e98cc959c030",
"resourceTypeId": "ea02304a-2820-4ea0-8399-f1d1b430c3a0"
},
{
"resourceId": "b120977-aeb6-4b56-a0d3-d4a9b485848a",
"resourceTypeId": "b4158501-a678-484a-837a-874194d3bd48"
},
{
"resourceId": "b320977-aeb6-4b56-a0d3-d4a9b485848a",
"resourceTypeId": "32d9821b-34fd-46d1-9ba1-56259afd4734"
},
{
"resourceId": "b420977-aeb6-4b56-a0d3-d4a9b485848a",
"resourceTypeId": "672b8071-44ff-4f23-bca2-f50c6a3ddd02"
}
]
},
{
"name": "Smart Business 2",
"veId": "dc9069a7-7695-43fd-8f27-16b1c94213da",
"veTypeId": "cc90b599-2705-4b13-98d4-3306f81169cf",
"ownerId": "f78a3812-d4fc-4b00-99c5-20fd581721a6",
"applicationId": "b0f1b774-a586-4f72-9edd-27ead8aa7a8d",
"updatedAt": "2018-11-26T17:10:02.670Z",
"createdAt": "2018-11-26T17:10:02.670Z",
"resources": [
{
"resourceId": "74f70bcd-3743-4009-a2c4-e98cc959c030",
"resourceTypeId": "ea02304a-2820-4ea0-8399-f1d1b430c3a0"
},
{
"resourceId": "c120977-aeb6-4b56-a0d3-d4a9b485848a",
"resourceTypeId": "b4158501-a678-484a-837a-874194d3bd48"
},
{
"resourceId": "c320977-aeb6-4b56-a0d3-d4a9b485848a",
"resourceTypeId": "32d9821b-34fd-46d1-9ba1-56259afd4734"
},
{
"resourceId": "c420977-aeb6-4b56-a0d3-d4a9b485848a",
"resourceTypeId": "672b8071-44ff-4f23-bca2-f50c6a3ddd02"
}
]
}
]| API req | GET https://api.glowmarkt.com/api/v0-1/virtualentity/dc9069a7-7695-43fd-8f27-16b1c94213da/resources |
|---|---|
| Authentication required | Basic Auth |
| Headers |
|
| Example cURL | curl -X GET -H "Content-Type: application/json" -H "Authorization: Basic BASIC_AUTH_KEY” "https://api.glowmarkt.com/api/v0-1/virtualentity/dc9069a7-7695-43fd-8f27-16b1c94213da/resources" |
| Swagger reference | https://api.glowmarkt.com/api-docs/v0-1/vesys/#/Virtual%20Entity/virtualentity_findResourcesbyVeId |
{
"name": "Smart Home 1",
"veId": "dc9069a7-7695-43fd-8f27-16b1c94213da",
"veTypeId": "cc90b599-2705-4b13-98d4-3306f81169cf",
"ownerId": "51ad1a43-cdaf-4f48-b48c-1577d2edd65b",
"applicationId": "b0f1b774-a586-4f72-9edd-27ead8aa7a8d",
"updatedAt": "2018-10-26T17:10:02.670Z",
"createdAt": "2018-10-26T17:10:02.670Z",
"resources": [
{
"resourceId": "73f70bcd-3743-4009-a2c4-e98cc959c030",
"resourceTypeId": "ea02304a-2820-4ea0-8399-f1d1b430c3a0",
"name": "electricity",
"classifier": "electricity.consumption",
"description": "electricity consumption",
"ownerId": "f78a3812-d4fc-4b00-99c5-20fd581721a6",
"baseUnit": "kWh",
"active": true
},
{
"resourceId": "b120977-aeb6-4b56-a0d3-d4a9b485848a",
"resourceTypeId": "b4158501-a678-484a-837a-874194d3bd48",
"name": "electricity cost",
"classifier": "electricity.consumption.cost",
"description": "electricity cost",
"ownerId": "f78a3812-d4fc-4b00-99c5-20fd581721a6",
"baseUnit": "pence",
"active": true
},
{
"resourceId": "b320977-aeb6-4b56-a0d3-d4a9b485848a",
"resourceTypeId": "32d9821b-34fd-46d1-9ba1-56259afd4734",
"name": "gas",
"classifier": "gas.consumption",
"description": "gas consumption",
"ownerId": "f78a3812-d4fc-4b00-99c5-20fd581721a6",
"baseUnit": "kWh",
"active": true
},
{
"resourceId": "b420977-aeb6-4b56-a0d3-d4a9b485848a",
"resourceTypeId": "672b8071-44ff-4f23-bca2-f50c6a3ddd02",
"name": "gas cost",
"classifier": "gas.consumption.cost",
"description": "gas cost",
"ownerId": "f78a3812-d4fc-4b00-99c5-20fd581721a6",
"baseUnit": "pence",
"active": true
}
]
}| Classifier Identifier | Description |
|---|---|
| electricity.consumption | The electricity readings of a customer in energy units (kWh). |
| electricity.consumption.cost | The electricity readings of a customer in monetary units (pence). |
| electricity.export | Electricity exported from a site, measured in energy units (kWh). |
| electricity.import.reactive | Reactive electricity imported at a site, measured in energy units (kVARh). This represents power that is out of phase with active power due to equipment such as capacitors and inductors. This data is typically relevant for larger non-domestic sites. |
| electricity.export.reactive | The export reactive energy for electricity of a site in energy units (kVARh). This data is typically useful for large non-domestic sites. |
| gas.consumption | The gas readings of a customer in energy units (kWh). |
| gas.consumption.cost | The gas readings of a customer in monetary units (pence). |
| API req | GET https://api.glowmarkt.com/api/v0-1/resource/1ddbfcb4-2ff1-4812-a425-1952f323c763/readings?from=2018-04-10T00:00:00&to=2018-04-23T23:59:59&period=P1D&offset=-60&function=sum |
|---|---|
| API Syntax | https://api.glowmarkt.com/api/v0-1/resource/{{resourceId}}/readings?from=YYYY-MM-DDTHH:MM:SS&to=YYYY-MM-DDTHH:MM:SS&period=P1D&offset=-60&function=sum |
| Authentication required | Basic Auth |
| Headers |
|
| Example cURL | curl -X GET -H "Content-Type: application/json" -H "Authorization: Basic BASIC_AUTH_KEY" “https://api.glowmarkt.com/api/v0-1/resource/1ddbfcb4-2ff1-4812-a425-1952f323c763/readings?from=2018-04-10T00:00:00&to=2018-04-23T23:59:59&period=P1D&offset=-60&function=sum" |
| Swagger reference | https://api.glowmarkt.com/api-docs/v0-1/resourcesys/#/Resource/resource_getReading |
| Query Parameter | Description |
|---|---|
| from | The date, data is required from. The date time syntax is yyyy-mm-ddThh:mm:ss |
| to | The date, data is required to. The date time syntax is yyyy-mm-ddThh:mm:ss |
| offset | All the data we store is saved in UTC (Coordinated Universal Time), regardless of the timezone it was collected in. Note: UK smart meters timestamp in UTC. For the API to correctly return the data for the period you request you must supply the offset in minutes between the timezone you require and UTC. As an example if you wish to request data in BST (British Summer Time, UTC+1) you should specify an offset of -60. EST (East Coast N America) would be +300. |
| function | The aggregating function that will be applied to the data. (Use sum to get total reading per period). |
| period | The aggregation level in which the data is to be returned (ISO 8601).
|
{
"status": "OK",
"name": "electricity consumption",
"resourceTypeId": "ea02304a-2820-4ea0-8399-f1d1b430c3a0",
"resourceId": "73f70bcd-3743-4009-a2c4-e98cc959c030",
"query": {
"from": "2018-04-10T00:00:00",
"to": "2018-04-11T23:59:59",
"period": "P1D"
},
"data": [
[
1523318400,
48.79
],
[
1523404800,
48.826
]
]
}[
[UTC timestamp, reading],
[UTC timestamp, reading],
]| Period Parameter | Description | Limit in days |
|---|---|---|
| PT1M | 1-minute level | 2 days |
| PT30M | 30-minute level | 10 days |
| PT1H | 1-hour level | 31 days |
| P1D | 1-day level | 31 days |
| P1W | 1-week level | 6 weeks |
| P1M | 1-month level | 365 days |
| PIY | 1-year level | 365 days |